AudioResource

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.ocap.hn.content
Interface AudioResource

    public interface AudioResource

Interface implemented by subclasses of ContentResource to identify that a content contains audio.

Author:
  Dr. Immo Benjes , Philips Digital Systems Labs, Redhill, UK

Method Summary
`int` | `getBitsPerSample()` Returns the number of bits per sample or -1 if not known.
`String` | `getISO3Language()` Returns the language of the audio content.
`String` | `getLanguage()` Returns the language of the audio content.
`int` | `getNumberOfChannels()` Returns the number of audio channels, for example, 1 for mono, 2 for stereo, 6 for DTS 5.1 and 7 for DTS 6.1
`int` | `getSampleFrequency()` Returns the sample frequency in Hz of this audio content or -1 if not known.

Method Detail

### getSampleFrequency

    int getSampleFrequency()

  Returns the sample frequency in Hz of this audio content or -1 if not known.

  Returns:
    the sample frequency of the content of -1 if not known.

### getNumberOfChannels

    int getNumberOfChannels()

  Returns the number of audio channels, for example, 1 for mono, 2 for stereo, 6 for DTS 5.1 and 7 for DTS 6.1

  Returns:
    the sample frequency of the content of -1 if not known.

### getBitsPerSample

    int getBitsPerSample()

  Returns the number of bits per sample or -1 if not known.

  Returns:
    the number of bits per sample or -1 if not known.

### getLanguage

    String getLanguage()

  Returns the language of the audio content. Returns a two letter language code as defined by ISO 639-1. http://www.ics.uci.edu/pub/ietf/http/related/iso639.txt

  Returns:
    the language of the audio

### getISO3Language

    String getISO3Language()

  Returns the language of the audio content. Returns a three letter language code as defined by ISO 639-2. http://www.ics.uci.edu/pub/ietf/http/related/iso639.txt

  Returns:
    the language of the audio

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD